--[[

This mod shows how to load custom prefabs and assets so that they are usable
by the game.

--]]
-- The Assets list here in modmain.lua is used to alert the game to any textures
-- that you need to load that aren't part of a prefab. (The assets of a prefab
-- are listed within the prefab. Also use this to overwrite in-game textures.
Assets = {
	Asset("ANIM", MODROOT.."anim/brsbladealpha1.zip"),
	Asset("ANIM", MODROOT.."anim/swap_brsbladealpha1.zip"),
	Asset("IMAGE", MODROOT.."inventoryimages/brsbladealpha1.tex"),
	Asset("ATLAS", MODROOT.."inventoryimages/brsbladealpha1.xml"),
	
	Asset("ANIM", MODROOT.."anim/brscanno.zip"),
	Asset("ANIM", MODROOT.."anim/canno_projectile.zip"),
	Asset("ANIM", MODROOT.."anim/swap_brscanno.zip"),
	Asset("IMAGE", MODROOT.."inventoryimages/brscanno.tex"),
	Asset("ATLAS", MODROOT.."inventoryimages/brscanno.xml"),
	
	Asset("ANIM", MODROOT.."anim/mstck_projectile.zip"),
	Asset("ANIM", MODROOT.."anim/magstick.zip"),
	Asset("ANIM", MODROOT.."anim/swap_magstick.zip"),
	Asset("IMAGE", MODROOT.."inventoryimages/magstick.tex"),
	Asset("ATLAS", MODROOT.."inventoryimages/magstick.xml"),
	
	Asset("ANIM", MODROOT.."anim/brscl.zip"),
	Asset("ANIM", MODROOT.."anim/swap_brscl.zip"),
	Asset("IMAGE", MODROOT.."inventoryimages/brscl.tex"),
	Asset("ATLAS", MODROOT.."inventoryimages/brscl.xml"),
	
	Asset("ANIM", MODROOT.."anim/brsch.zip"),
	Asset("ANIM", MODROOT.."anim/swap_brsch.zip"),
	Asset("IMAGE", MODROOT.."inventoryimages/brsch.tex"),
	Asset("ATLAS", MODROOT.."inventoryimages/brsch.xml"),
	
	Asset("ANIM", MODROOT.."anim/brschchgd.zip"),
	Asset("ANIM", MODROOT.."anim/swap_brschchgd.zip"),
	Asset("IMAGE", MODROOT.."inventoryimages/brschchgd.tex"),
	Asset("ATLAS", MODROOT.."inventoryimages/brschchgd.xml"),
	
	Asset("ANIM", MODROOT.."anim/brsclchgd.zip"),
	Asset("ANIM", MODROOT.."anim/swap_brsclchgd.zip"),
	Asset("IMAGE", MODROOT.."inventoryimages/brsclchgd.tex"),
	Asset("ATLAS", MODROOT.."inventoryimages/brsclchgd.xml"),
	
	Asset("ANIM", MODROOT.."anim/brspow.zip"),
	Asset("IMAGE", MODROOT.."inventoryimages/brspow.tex"),
	Asset("ATLAS", MODROOT.."inventoryimages/brspow.xml"),
	
	Asset("ANIM", MODROOT.."anim/brsh_projectile.zip"),
	
	Asset("IMAGE", MODROOT.."images/brstab.tex"),
	Asset("ATLAS", MODROOT.."images/brstab.xml"),
}



-- The PrefabFiles list is the list of all the files in your <modname>/scripts/prefabs folder
-- that you want to load prefabs from
PrefabFiles = {

	"brsbladealpha1",
	"brscanno",
	"canno_projectile",
	"magstick",
	"mstck_projectile",
	"brscl",
	"brsch",
	"brschchgd",
	"brsclchgd",
	"brspow",
	"brsh_projectile",

	
}



local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local RELOADA = GLOBAL.Action(5)


RELOADA.fn = function(act)
	local item = act.doer.components.inventory:FindItem(function(item)
		        return item.prefab == "brsch"
		    end)
	act.doer.components.inventory:RemoveItem(item)
	act.doer.components.inventory:RemoveItem(act.invobject)
	local gun = GLOBAL.SpawnPrefab("brschchgd")
	act.doer.components.inventory:GiveItem(gun)
end

RELOADA.str = "Charge Cannon"
RELOADA.id = "RELOADA"
GLOBAL.ACTIONS.RELOADA = RELOADA
GLOBAL.STRINGS.ACTIONS.RELOADA = RELOADA.str
-- use "dolongaction" if you want a longer reload time
local actionHandler = GLOBAL.ActionHandler(RELOADA, "doshortaction")

local SGwilson = GLOBAL.require("stategraphs/SGwilson")
SGwilson.actionhandlers[RELOADA] = actionHandler
GLOBAL.package.loaded["stategraphs/SGwilson"] = SGwilson

local RELOADB = GLOBAL.Action(5)

RELOADB.fn = function(act)
	local item = act.doer.components.inventory:FindItem(function(item)
		        return item.prefab == "brscl"
		    end)
	act.doer.components.inventory:RemoveItem(item)
	act.doer.components.inventory:RemoveItem(act.invobject)
	local gun = GLOBAL.SpawnPrefab("brsclchgd")
	act.doer.components.inventory:GiveItem(gun)
end

RELOADB.str = "Charge Cannon"
RELOADB.id = "RELOADB"
GLOBAL.ACTIONS.RELOADB = RELOADB
GLOBAL.STRINGS.ACTIONS.RELOADB = RELOADB.str
-- use "dolongaction" if you want a longer reload time
local actionHandler = GLOBAL.ActionHandler(RELOADB, "doshortaction")

local SGwilson = GLOBAL.require("stategraphs/SGwilson")
SGwilson.actionhandlers[RELOADB] = actionHandler
GLOBAL.package.loaded["stategraphs/SGwilson"] = SGwilson



STRINGS.TABS.BRSTABS = "BRS Upgrade"
count = 1
for _ in pairs(RECIPETABS) do count = count + 1 end
RECIPETABS["BRSTABS"] = {str = STRINGS.TABS.BRSTABS, sort = count, icon = "brstab.tex", icon_atlas = "images/brstab.xml"}


STRINGS.NAMES.BRSCL = "Light Rock Cannon"
GLOBAL.STRINGS.RECIPE_DESC.BRSCL = "Upgrade to Light Rock Cannon."
GLOBAL.STRINGS.RECIPE_DESC.BRSCH = "Upgrade to Heavy Rock Cannon."
GLOBAL.STRINGS.RECIPE_DESC.BRSPOW = "Charge BRS Cannon Tier 2."
GLOBAL.STRINGS.RECIPE_DESC.BRSCANNO = "Black Rock Shooter Cannon."
STRINGS.CHARACTERS.WILLOW.DESCRIBE.BRSCANNO = "Open Fire!"
STRINGS.CHARACTERS.WENDY.DESCRIBE.BRSCANNO = "It feel weird each shoot"
STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.BRSCANNO = "It suck out my Mighty power each shoot."
STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.BRSCANNO = "Weapon that taking both biologic and psychologic matter"
STRINGS.CHARACTERS.WX78.DESCRIBE.BRSCANNO = "UNKNOWN WEAPON IS ALWAYS COOL WEAPON"
STRINGS.CHARACTERS.WOODIE.DESCRIBE.BRSCANNO = "Black Lucy"

local brscanno = GLOBAL.Ingredient( "brscanno", 1)
  brscanno.atlas = "inventoryimages/brscannoi.xml"

function modGamePostInit() 

	local brscl = GLOBAL.Recipe( "brscl", { Ingredient("brscanno", 1), Ingredient("slurtle_shellpieces", 10), Ingredient("nightmarefuel", 10), Ingredient("bluegem", 3)} , RECIPETABS.BRSTABS, {SCIENCE = 0} )
    brscl.atlas = "inventoryimages/brscl.xml"
	local brsch = GLOBAL.Recipe( "brsch", { Ingredient("brscanno", 1), Ingredient("slurtle_shellpieces", 10), Ingredient("nightmarefuel", 10), Ingredient("redgem", 3) }, RECIPETABS.BRSTABS, {SCIENCE = 0})
	brsch.atlas = "inventoryimages/brsch.xml"
	local brspow = GLOBAL.Recipe( "brspow", { Ingredient("slurtleslime", 3), Ingredient("lightbulb", 3), Ingredient("nightmarefuel", 1) }, RECIPETABS.BRSTABS, {SCIENCE = 0})
	brspow.atlas = "inventoryimages/brspow.xml"
	local brscannol = GLOBAL.Recipe( "brscanno", { Ingredient("brspow", 5), Ingredient("slurtle_shellpieces", 10), Ingredient("gears", 10) }, RECIPETABS.BRSTABS, {SCIENCE = 0})
	brscannol.atlas = "inventoryimages/brscanno.xml"
	
	end

AddGamePostInit(modGamePostInit)









-- Import things we like into our mod's own global scope, so we don't have 
-- to type "GLOBAL." every time want to use them.
SpawnPrefab = GLOBAL.SpawnPrefab


AddSimPostInit(SimInit)


