local assets=
{
	
	Asset("ANIM", "anim/brsbladealpha1.zip"),
	Asset("ANIM", "anim/swap_brsbladealpha1.zip"),
    
    Asset("IMAGE", "inventoryimages/brsbladealpha1.tex"),
	Asset("ATLAS", "inventoryimages/brsbladealpha1.xml"),
}

local function onfinished(inst)
    inst:Remove()
end

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_brsbladealpha1", "swap_nightmaresword")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
end


local function onattack(inst, owner, target)
    if owner.components.hunger and owner.components.hunger:GetPercent() < 1 and not target:HasTag("wall") then
        owner.components.hunger:DoDelta(-3)
    end
	
	if owner.components.sanity and owner.components.sanity:GetPercent() < 1.1 and not target:HasTag("wall") then
        owner.components.sanity:DoDelta(3)
    end
	
	if owner.components.sanity and owner.components.sanity:GetPercent() < 0.15 and not target:HasTag("wall") then
        owner.components.health:DoDelta(-3)
    end
	
	if owner.components.hunger and owner.components.hunger:GetPercent() < 0.05 and not target:HasTag("wall") then
        owner.components.health:DoDelta(-5)
    end
	
end

local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("nightmaresword")
    inst.AnimState:SetBuild("brsbladealpha1")
    inst.AnimState:PlayAnimation("idle")
    inst.AnimState:SetMultColour(1, 1, 1, 0.6)
    
    inst:AddTag("shadow")
    inst:AddTag("sharp")
    
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(50)
	inst.components.weapon:SetOnAttack(onattack)
    
    -------
    
    

    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "inventoryimages/brsbladealpha1.xml"
    
    inst:AddComponent("equippable")
	inst.components.equippable.walkspeedmult = 1.2,
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
	local light = inst.entity:AddLight()
    inst.Light:Enable(true)
	inst.Light:SetRadius(1.5)
    inst.Light:SetFalloff(1)
    inst.Light:SetIntensity(.7)
    inst.Light:SetColour(44/255,117/255,220/255)
    
	inst:AddComponent("sanityaura")
    inst.components.sanityaura.aura = TUNING.SANITYAURA_SMALL
	
    return inst
end

STRINGS.NAMES.BRSBLADEALPHA1 = "Rock Blade"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BRSBLADEALPHA1 = "This blade has been with me since I came to this world."

return Prefab( "common/inventory/brsbladealpha1", fn, assets) 
