local assets=
{
	
	Asset("ANIM", "anim/brsch.zip"),
	Asset("ANIM", "anim/swap_brsch.zip"),
	
    
    Asset("ATLAS", "inventoryimages/brsch.xml"),
}

local prefabs = 
{
    "ice_projectile", 
}

local function onfinished(inst)
    inst:Remove()
end

local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_object", "swap_brsch", "swap_nightmaresword")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
	local com = owner.components.combat
	inst.ownerAreaHitRange = com.areahitrange
	inst.ownerAreaHitDamagePercent = com.areahitdamagepercent
	com.areahitrange = 4
	com.areahitdamagepercent = 0.3 
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
	local com = owner.components.combat
	com.areahitrange = inst.ownerAreaHitRange
	com.areahitdamagepercent = inst.ownerAreaHitDamagePercent
end



local function onattack(inst, owner, target)

    if owner.components.hunger and owner.components.hunger:GetPercent() < 1 and not target:HasTag("wall") then
        owner.components.hunger:DoDelta(-37)
    end
	
    if owner.components.hunger and owner.components.hunger:GetPercent() < 0.1 and not target:HasTag("wall") then
        owner.components.health:DoDelta(-15)
    end
	
	if owner.components.sanity and owner.components.sanity:GetPercent() < 1.1 and not target:HasTag("wall") then
        owner.components.sanity:DoDelta(-25)
    end

	if owner.components.sanity and owner.components.sanity:GetPercent() < 0.05 and not target:HasTag("wall") then
        owner.components.health:DoDelta(-20)
    end
	

end




local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()   
    MakeInventoryPhysics(inst)
    
    anim:SetBank("nightmaresword")
    anim:SetBuild("brsch")
    anim:PlayAnimation("idle")
    
    inst:AddTag("icestaff")
    
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(250)
    inst.components.weapon:SetRange(6, 16)
    inst.components.weapon:SetOnAttack(onattack)
	
    inst.components.weapon:SetProjectile("brsh_projectile")
	
    
    -------
    
    

    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "inventoryimages/brsch.xml"
    
    inst:AddComponent("equippable")
	inst.components.equippable.walkspeedmult = 0,
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
	local light = inst.entity:AddLight()
    inst.Light:Enable(true)
	inst.Light:SetRadius(1.5)
    inst.Light:SetFalloff(1)
    inst.Light:SetIntensity(.7)
    inst.Light:SetColour(255/255,50/255,50/255)
    
    return inst
end

STRINGS.NAMES.BRSCH = "Heavy Rock Cannon"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BRSCH = "Black Gold Saw Style."

return Prefab( "common/inventory/brsch", fn, assets, prefabs) 
