local assets=
{
	
	Asset("ANIM", "anim/brschchgd.zip"),
	Asset("ANIM", "anim/swap_brschchgd.zip"),
	
    
    Asset("ATLAS", "inventoryimages/brschchgd.xml"),
}

local prefabs = 
{
    "ice_projectile", 
}

local function onfinished(inst)
    local owner = inst.components.inventoryitem and inst.components.inventoryitem.owner
    inst:Remove()
	if owner and owner.components.inventory then
            local strawhat = SpawnPrefab("brsch")
            owner.components.inventory:GiveItem(strawhat)
        end
end

local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_object", "swap_brschchgd", "swap_nightmaresword")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
	local com = owner.components.combat
	inst.ownerAreaHitRange = com.areahitrange
	inst.ownerAreaHitDamagePercent = com.areahitdamagepercent
	com.areahitrange = 7
	com.areahitdamagepercent = 0.8 
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
	local com = owner.components.combat
	com.areahitrange = inst.ownerAreaHitRange
	com.areahitdamagepercent = inst.ownerAreaHitDamagePercent
end



local function onattack(inst, owner, target)

    
	

end




local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()   
    MakeInventoryPhysics(inst)
    
    anim:SetBank("nightmaresword")
    anim:SetBuild("brschchgd")
    anim:PlayAnimation("idle")
    
    inst:AddTag("icestaff")
    
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(1250)
    inst.components.weapon:SetRange(6, 8)
    inst.components.weapon:SetOnAttack(onattack)
	
    inst.components.weapon:SetProjectile("brsh_projectile")
	
	inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(1)
    inst.components.finiteuses:SetUses(1)
    
    inst.components.finiteuses:SetOnFinished( onfinished )
    
    -------
    
    

    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "inventoryimages/brschchgd.xml"
    
    inst:AddComponent("equippable")
	inst.components.equippable.walkspeedmult = 0,
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
	local light = inst.entity:AddLight()
    inst.Light:Enable(true)
	inst.Light:SetRadius(1.5)
    inst.Light:SetFalloff(1)
    inst.Light:SetIntensity(.7)
    inst.Light:SetColour(255/255,50/255,50/255)
    
    return inst
end

STRINGS.NAMES.BRSCHCHGD = "Charged Heavy Rock Cannon"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BRSCHCHGD = "The Power... So immense and intense."

return Prefab( "common/inventory/brschchgd", fn, assets, prefabs) 
