local assets=
{
	
	Asset("ANIM", "anim/brscl.zip"),
	Asset("ANIM", "anim/swap_brscl.zip"),
	
    
    Asset("ATLAS", "inventoryimages/brscl.xml"),
}

local prefabs = 
{
    "ice_projectile", 
}

local function onfinished(inst)
    inst:Remove()
end

local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_object", "swap_brscl", "swap_nightmaresword")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
end



local function onattack(inst, owner, target)

    if owner.components.hunger and owner.components.hunger:GetPercent() < 1 and not target:HasTag("wall") then
        owner.components.hunger:DoDelta(-12)
    end
	
    if owner.components.hunger and owner.components.hunger:GetPercent() < 0.1 and not target:HasTag("wall") then
        owner.components.health:DoDelta(-7)
    end
	
	if owner.components.sanity and owner.components.sanity:GetPercent() < 1.1 and not target:HasTag("wall") then
        owner.components.sanity:DoDelta(-10)
    end

	if owner.components.sanity and owner.components.sanity:GetPercent() < 0.05 and not target:HasTag("wall") then
        owner.components.health:DoDelta(-10)
    end
	
end




local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()   
    MakeInventoryPhysics(inst)
    
    anim:SetBank("nightmaresword")
    anim:SetBuild("brscl")
    anim:PlayAnimation("idle")
    
    inst:AddTag("icestaff")
    
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(100)
    inst.components.weapon:SetRange(16, 26)
    inst.components.weapon:SetOnAttack(onattack)
	
    inst.components.weapon:SetProjectile("brs_projectile")
	
    
    -------
    
    

    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "inventoryimages/brscl.xml"
    
    inst:AddComponent("equippable")
	inst.components.equippable.walkspeedmult = 1.5,
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
	local light = inst.entity:AddLight()
    inst.Light:Enable(true)
	inst.Light:SetRadius(1.5)
    inst.Light:SetFalloff(1)
    inst.Light:SetIntensity(.7)
    inst.Light:SetColour(100/255,100/255,255/255)
    
    return inst
end

STRINGS.NAMES.BRSCL = "Light Rock Cannon"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BRSCL = "The power... Increase my movement."

return Prefab( "common/inventory/brscl", fn, assets, prefabs) 
