local assets=
{
	
	Asset("ANIM", "anim/brsclchgd.zip"),
	Asset("ANIM", "anim/swap_brsclchgd.zip"),
	
    
    Asset("ATLAS", "inventoryimages/brsclchgd.xml"),
}

local prefabs = 
{
    "ice_projectile", 
}

local function onfinished(inst)
    local owner = inst.components.inventoryitem and inst.components.inventoryitem.owner
    inst:Remove()
	if owner and owner.components.inventory then
            local strawhat = SpawnPrefab("brscl")
            owner.components.inventory:GiveItem(strawhat)
        end
end

local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_object", "swap_brsclchgd", "swap_nightmaresword")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
	local com = owner.components.combat
end



local function onattack(inst, owner, target)

if owner.components.hunger and owner.components.hunger:GetPercent() < 1 and not target:HasTag("wall") then
        owner.components.hunger:DoDelta(50)
    end
	
if owner.components.sanity and owner.components.sanity:GetPercent() < 1.1 and not target:HasTag("wall") then
        owner.components.sanity:DoDelta(50)
    end
	
if owner.components.sanity and owner.components.sanity:GetPercent() < 1.2 and not target:HasTag("wall") then
        owner.components.health:DoDelta(25)
    end
    
	

end




local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()   
    MakeInventoryPhysics(inst)
    
    anim:SetBank("nightmaresword")
    anim:SetBuild("brsclchgd")
    anim:PlayAnimation("idle")
    
    inst:AddTag("icestaff")
    
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(400)
    inst.components.weapon:SetRange(16, 26)
    inst.components.weapon:SetOnAttack(onattack)
	
    inst.components.weapon:SetProjectile("brs_projectile")
	
	inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(2)
    inst.components.finiteuses:SetUses(2)
    
    inst.components.finiteuses:SetOnFinished( onfinished )
    
    -------
    
    

    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "inventoryimages/brsclchgd.xml"
    
    inst:AddComponent("equippable")
	inst.components.equippable.walkspeedmult = 2,
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
	local light = inst.entity:AddLight()
    inst.Light:Enable(true)
	inst.Light:SetRadius(1.5)
    inst.Light:SetFalloff(1)
    inst.Light:SetIntensity(.7)
    inst.Light:SetColour(100/255,100/255,255/255)
    
    return inst
end

STRINGS.NAMES.BRSCLCHGD = "Charged Light Rock Cannon"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BRSCLCHGD = "The Power is controlable, I can siphoon some of it when out."

return Prefab( "common/inventory/brsclchgd", fn, assets, prefabs) 
