
-- In a prefab file, you need to list all the assets it requires.
-- These can be either standard assets, or custom ones in your mod
-- folder.
local Assets =
{
	Asset("ANIM", "anim/brspow.zip"), -- a standard asset
    Asset("ATLAS", "inventoryimages/brspow.xml"),    -- a custom asset, found in the mod folder
}

local function oneaten(inst, eater)
	local inst = GetPlayer()
	inst.components.playerstats:Addconstpotbonushp(consthpvalue)
	inst.components.playerstats:DoDelta()
	
	inst.components.talker:Say("Uuuuuuh, that feels sweeping!", 4)
end

-- Write a local function that creats, customizes, and returns an instance of the prefab.
local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("moditem")
    inst.AnimState:SetBuild("brspow")
    inst.AnimState:PlayAnimation("idle")
	
    inst:AddComponent("inventoryitem")
	inst:AddComponent("charge")
	inst:AddComponent("charge1")
	inst.components.inventoryitem.atlasname = "inventoryimages/brspow.xml"
	inst:AddComponent("stackable")
	inst:AddComponent("inspectable")
    local light = inst.entity:AddLight()
    inst.Light:Enable(true)
	inst.Light:SetRadius(3)
    inst.Light:SetFalloff(1)
    inst.Light:SetIntensity(.7)
    inst.Light:SetColour(255/255,255/255,102/255)

    return inst
end

-- Add some strings for this item
STRINGS.NAMES.BRSPOW = "BRS Energy Canister"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BRSPOW = "Materialized pure Energy , good for ground light."


-- Finally, return a new prefab with the construction function and assets.
return Prefab( "common/inventory/brspow", fn, Assets)

