local assets=
{
	
	Asset("ANIM", "anim/magstick.zip"),
	Asset("ANIM", "anim/swap_magstick.zip"),
	
    
    Asset("ATLAS", "inventoryimages/magstick.xml"),
	
}

local prefabs = 
{
    "ice_projectile", 
}

local function onfinished(inst)
    inst:Remove()
end

local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_object", "swap_magstick", "swap_icestaff")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
	inst.Light:Enable(true)
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
	inst.Light:Enable(false)
end



local function onattack(inst, owner, target)
	
	-- Nothing in here :P
	
end




local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()   
    MakeInventoryPhysics(inst)
    
    anim:SetBank("icestaff")
    anim:SetBuild("magstick")
    anim:PlayAnimation("idle")
    
    inst:AddTag("icestaff")
    
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(0)
    inst.components.weapon:SetRange(14, 16)
    inst.components.weapon:SetOnAttack(onattack)
	
    inst.components.weapon:SetProjectile("mst_projectile")
	
    
    -------
    
    

    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "inventoryimages/magstick.xml"
    
    inst:AddComponent("equippable")
	local light = inst.entity:AddLight()
    inst.Light:Enable(true)
	inst.Light:SetRadius(1.5)
    inst.Light:SetFalloff(1)
    inst.Light:SetIntensity(.7)
    inst.Light:SetColour(255/255,255/255,102/255)
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
    
    return inst
end

STRINGS.NAMES.MAGSTICK = "Magic Stick"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MAGSTICK = "Very useful in caves, Light the way!."

return Prefab( "common/inventory/magstick", fn, assets, prefabs) 
